import { Component, OnInit } from '@angular/core';
import { NzAvatarModule } from 'ng-zorro-antd/avatar';
import { textbookServer } from "../../services/textbook";
import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';
import { RouterModule,Router } from '@angular/router';
import { AuthServr } from '../../services/auth.service'
@Component({
  selector: 'app-comp-nav',
  standalone: true,
  imports: [
    RouterModule,
    NzAvatarModule,
    MatButtonModule,MatIconModule
  ],
  templateUrl: './comp-nav.component.html',
  styleUrls: ['./comp-nav.component.scss'],
})
export class CompNavComponent implements OnInit {

  constructor(
    public router: Router,
    public tbookSer: textbookServer,
    public authServr:AuthServr
  ) {}

  ngOnInit() {}
    
  goUrl(path: string) {
    this.router.navigate([
      path,
      {
        // type: this.currentProfile.type,
      },
    ]);
  }
}
