import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import { CommonCompModule } from '../../../services/common.modules';
import { Router } from '@angular/router';
import { ReactiveFormsModule } from '@angular/forms';
import { BasicInComponent } from '../components/basic-in/basic-in.component';
import { TextbookPertainComponent } from '../components/textbook-pertain/textbook-pertain.component';
import { TextbookContentComponent }  from '../components/textbook-content/textbook-content.component'
import { AttachmentComponent } from '../components/attachment/attachment.component'
// import { NzLayoutModule } from 'ng-zorro-antd/layout';
@Component({
  selector: 'app-apply',
  imports: [
    CommonCompModule,
    ReactiveFormsModule,
    BasicInComponent,
    TextbookPertainComponent,
    TextbookContentComponent,
    AttachmentComponent
  ],
  standalone: true,
  templateUrl: './apply.component.html',
  styleUrls: ['./apply.component.scss'],
})
export class ApplyComponent implements OnInit {
  state: number = 0;
  get stateMap() {
    let map: any = {
      '0': '教材基本信息',
      '1': '教材适用情况',
      '2': '申报教材建设历程',
      '3': '附件材料',
    };
    return map[this.state];
  }
  editForm: any;

  constructor(private router: Router) {}

  ngOnInit() {}
  next() {
    this.state++;
  }
  save() {}
}
